Uploads
Verify metadata upload
Verify that a metadata artifact upload completed successfully. Requires builds:create scope.
POST
/upload/metadata/verifyAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.comupload/metadata/verify" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d @- <<'EOF'{ "pending_upload_id": "550e8400-e29b-41d4-a716-446655440001"}EOF{ "message": "Metadata artifact successfully uploaded.", "metadata_artifact_id": "550e8400-e29b-41d4-a716-446655440002", "build_id": "xYz9876"}Empty
{ "message": "Unauthorized"}